Upload source map

Base URL
https://{kibana_url}
  • POST /api/apm/sourcemaps
  • POST /s/{space_id}/api/apm/sourcemaps
Auth

Upload a source map for a specific service and version.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

bundle_filepath string required

The absolute path of the final bundle as used in the web application.

service_name string required

The name of the service that the service map should apply to.

service_version string required

The version of the service that the service map should apply to.

sourcemap string · format: binary required

The source map. String or file upload. It must follow the source map revision 3 proposal.

Responses

Successful response

application/json
body string
compressionAlgorithm string

Compression Algorithm

created string

Created date

decodedSha256 string

Decoded SHA-256

decodedSize number

Decoded size

encodedSha256 string

Encoded SHA-256

encodedSize number

Encoded size

encryptionAlgorithm string

Encryption Algorithm

id string

Identifier

identifier string

Identifier

packageName string

Package name

relative_url string

Relative URL

type string

Type

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Forbidden response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Internal Server Error response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not Implemented response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}